﻿@model Contabilidad.Site.Models.ProductPrice.ProductPriceCreateViewModel
@{
    ViewData["Title"] = @Contabilidad.Resources.CommonResources.Create;
}
<div class="row clearfix">
    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                <h2>@Contabilidad.Resources.CommonResources.Create @Contabilidad.Resources.Models.Accounting.ProductPrice.ProductPrice.modelName</h2>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">
                <form method="post" enctype="multipart/form-data">
                    @if (ViewData.ModelState[string.Empty]?.Errors?.Any() == true)
                    {
                        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                            <div class="card">
                                <div class="body bg-red">
                                    <div asp-validation-summary="ModelOnly"></div>
                                </div>
                            </div>
                        </div>
                    }
                    <label asp-for="SalePrice">@Html.DisplayNameFor(Model => Model.SalePrice)</label>
                    <div class="form-group">
                        <div class="form-line">
                            <input type="number" asp-for="SalePrice" class="form-control" />
                        </div>
                        <ul class="parsley-errors-list filled" id="parsley-id-5">
                            <li>
                                <span asp-validation-for="SalePrice"></span>
                            </li>
                        </ul>
                    </div>

                    <label>@Contabilidad.Resources.Models.Accounting.ProductPrice.ProductPrice.WarrantyTime</label>
                    <div class="form-group">

                        <div class="form-group col-md-4 col-sm-4">
                            <div class="form-line">
                                <input type="number" asp-for="Years" class="form-control " placeholder="@Html.DisplayNameFor(model => model.Years)" />
                            </div>
                            <ul class="parsley-errors-list filled" id="parsley-id-5">
                                <li>
                                    <span asp-validation-for="Years"></span>
                                </li>
                            </ul>
                        </div>

                        <div class="form-group col-md-4 col-sm-4">
                            <div class="form-line">
                                <input type="number" asp-for="Months" class="form-control" placeholder="@Html.DisplayNameFor(model => model.Months)" />
                            </div>
                            <ul class="parsley-errors-list filled" id="parsley-id-5">
                                <li>
                                    <span asp-validation-for="Months"></span>
                                </li>
                            </ul>
                        </div>

                        <div class="form-group col-md-4 col-sm-4">
                            <div class="form-line">
                                <input asp-for="Days" class="form-control" placeholder="@Html.DisplayNameFor(model => model.Days)" 1 />
                            </div>
                            <ul class="parsley-errors-list filled" id="parsley-id-5">
                                <li>
                                    <span asp-validation-for="Days"></span>
                                </li>
                            </ul>
                        </div>

                    </div>

                    <label asp-for="IdProduct">@Html.DisplayNameFor(Model => Model.IdProduct)</label>
                    <div class="form-group">
                        <div class="form-line">
                            <select class="form-control selectpicker" title="@Html.DisplayNameFor(Model => Model.Products)" asp-for="IdProduct" data-live-search="true" asp-items="@(new SelectList(Model.Products,"Id","Value"))"></select>
                        </div>
                        <ul class="parsley-errors-list filled">
                            <li>
                                <span asp-validation-for="IdProduct"></span>
                            </li>
                        </ul>
                    </div>


                    <label asp-for="IdCurrency">@Html.DisplayNameFor(Model => Model.IdCurrency)</label>
                    <div class="form-group">
                        <div class="form-line">
                            <select class="form-control selectpicker" title="@Html.DisplayNameFor(Model => Model.Currencies)" asp-for="IdCurrency" data-live-search="true" asp-items="@(new SelectList(Model.Currencies,"Id","Value"))"></select>
                        </div>
                        <ul class="parsley-errors-list filled">
                            <li>
                                <span asp-validation-for="IdCurrency"></span>
                            </li>
                        </ul>
                    </div>

                    <div align="right">
                        <a href="#confirm" class="btn btn-primary waves-effect" data-toggle="modal" data-target="#confirm">@Contabilidad.Resources.CommonResources.SaveChanges</a>
                    </div>
                    <div class="modal fade" id="confirm" tabindex="-1" role="dialog">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h4 class="modal-title" id="defaultModalLabel">@Contabilidad.Resources.CommonResources.Create @Contabilidad.Resources.Models.Accounting.ProductPrice.ProductPrice.modelName</h4>
                                </div>
                                <div class="modal-body">
                                    @Contabilidad.Resources.Models.Accounting.ProductPrice.ProductPrice.CreateMessage
                                </div>
                                <div class="modal-footer">
                                    <input type="submit" id="submitbutton" value="@Contabilidad.Resources.CommonResources.SaveChanges" data-disableonclick="true" class="btn btn-primary waves-effect" />
                                    <button type="button" class="btn btn-default waves-effect" data-dismiss="modal">@Contabilidad.Resources.CommonResources.Cancel</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
